package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level2 extends LevelBase
	{
		
		[Embed(source="../assets/level_2.csv", mimeType="application/octet-stream")] private var level_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(110, 220, "Fish"));
			lifeStreams.add(new BlowStream(460, 370));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(560, 100, "Fish"));
			
			levelName.text = "Level 3:\nBlowfish";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
			
						// Help text
			var help1:FlxText = new FlxText(300, 340, 128, "This is a blow stream. It blows gusts of wind that can affect the trajectory of the life stream.");
			
			add(help1);
		}
		
	}

}