package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level3 extends LevelBase
	{
		
		[Embed(source="../assets/level_3.csv", mimeType="application/octet-stream")] private var level_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(100, 160, "Fish"));
			lifeStreams.add(new LifeStream(140, 300, "Newt"));
			lifeStreams.add(new BlowStream(300, 35));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(470, 240, "Lizard"));
			
			levelName.text = "Level 4:\nThe Bay";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
		}
		
	}

}