package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level7 extends LevelBase
	{
		
		[Embed(source="../assets/level_7.csv", mimeType="application/octet-stream")] private var level_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(70, 370, "Fish"));
			lifeStreams.add(new LifeStream(140, 370, "Newt"));
			lifeStreams.add(new BlowStream(540, 440));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(100, 100, "Fish"));
			endPoints.add(new LevelEnd(560, 300, "Newt"));
			
			levelName.text = "Level 8:\nMoat Party";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
		}
		
	}

}