package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level9 extends LevelBase
	{
		
		[Embed(source="../assets/level_9.csv", mimeType="application/octet-stream")] private var level_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(100, 400, "Sheep"));
			lifeStreams.add(new BlowStream(450, 400));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(450, 200, "Sheep"));
			
			levelName.text = "Level 10:\nGreen Pastures";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
		}
		
	}

}