package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level1 extends LevelBase
	{
		
		[Embed(source="../assets/level_1.csv", mimeType="application/octet-stream")] private var level_1_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_1_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(30, 100, "Fish"));
			lifeStreams.add(new LifeStream(30, 300, "Newt"));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(500, 200, "Lizard"));
			
			levelName.text = "Level 2:\nStorm the beaches!";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
			
			// Help text
			var help1:FlxText = new FlxText(150, 100, 128, "Fish cannot traverse land.");
			var help2:FlxText = new FlxText(30, 200, 128, "Cross these two life streams to " +
			"evolve a new form of creature that can traverse land\n" + "and reach the goal.");
			
			add(help1);
			add(help2);
		}
		
	}

}