package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level10 extends LevelBase
	{
		
		[Embed(source="../assets/level_10.csv", mimeType="application/octet-stream")] private var level_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(230, 400, "Lizard"));
			lifeStreams.add(new LifeStream(330, 400, "Lizard"));
			lifeStreams.add(new LifeStream(130, 100, "Cloud"));
			lifeStreams.add(new LifeStream(430, 100, "Cloud"));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(260, 40, "Sheep"));
			endPoints.add(new LevelEnd(360, 40, "Sheep"));
			
			levelName.text = "Level 11:\nCLOUDS!";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
		}
		
	}

}