package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level6 extends LevelBase
	{
		
		[Embed(source="../assets/level_6.csv", mimeType="application/octet-stream")] private var level_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(25, 320, "Fish"));
			lifeStreams.add(new LifeStream(25, 400, "Newt"));			
			lifeStreams.add(new LifeStream(540, 320, "Fish"));
			lifeStreams.add(new LifeStream(540, 400, "Newt"));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(280, 32, "Bird"));
			
			levelName.text = "Level 7:\nThe Volcano";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
		}
		
	}

}