package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class Level8 extends LevelBase
	{
		
		[Embed(source="../assets/level_8.csv", mimeType="application/octet-stream")] private var level_tiles:Class;
		
		override public function createLevel():void {
			// Load map info
			levelTilemap.loadMap(new level_tiles, tileMap, 16, 16, FlxTilemap.OFF,0,1, 255);
			
			setupTileMap();
			
			lifeStreams = new FlxGroup(10);
			// New life stream
			lifeStreams.add(new LifeStream(85, 60, "Fish"));
			lifeStreams.add(new LifeStream(500, 60, "Lizard"));
			lifeStreams.add(new LifeStream(300, 260, "Newt"));
			
			endPoints = new FlxGroup(10);
			endPoints.add(new LevelEnd(500, 200, "Lizard"));
			endPoints.add(new LevelEnd(440, 40, "Lizard"));
			
			levelName.text = "Level 9:\nTricky Waters";
			
			// Add life streams to the game level
			add(lifeStreams);
			add(endPoints);
		}
		
	}

}