package  
{
	import org.flixel.*;
	/**
	 * ...
	 * @author Simon Davies
	 */
	public class StreamEmitter extends FlxEmitter
	{
		
		public var selected:Boolean;
		public static var speed:Number = 125;
		
		public function StreamEmitter(selected:Boolean, x:Number, y:Number, species:String = "Fish") 
		{
			this.selected = selected;
			super(x, y);
			
			// emitter properties
			gravity = 0;
			setXSpeed(speed, speed);
			setYSpeed(0, 0);
			
			var particles:int = 50;
			for (var i:int = 0; i < particles; i++)
			{
				var particle:Animal = new Animal(species);
				add(particle);
			}
			
			// Start the emitter
			start(false, 30, 1);
		}
		
	}

}